ランタイム: Mix::Dynamics::IDofJoint Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::Dynamics::IDofJoint Class Referenceabstract

DOFジョイントインターフェース More...

`#include <IDofJoint.h>`

Inheritance diagram for Mix::Dynamics::IDofJoint:
[legend]
Collaboration diagram for Mix::Dynamics::IDofJoint:
[legend]

## Public Member Functions

virtual const Mix::Quaternion & | GetRotationA (void) const =0
| リジッドボディＡの回転を取得します More...
virtual void | SetRotationA (const Mix::Quaternion &rot)=0
| リジッドボディＡの回転を設定します More...
virtual const Mix::Quaternion & | GetRotationB (void) const =0
| リジッドボディＢの回転を取得します More...
virtual void | SetRotationB (const Mix::Quaternion &rot)=0
| リジッドボディＢの回転を設定します More...
virtual void | SetLinearLimit (const Mix::Vector3 &lower, const Mix::Vector3 &upper)=0
| 線形運動の稼動範囲を設定します More...
virtual const Mix::Vector3 & | GetLinearLowerLimit (void) const =0
| 線形運動の稼動範囲の最小値を取得します More...
virtual const Mix::Vector3 & | GetLinearUpperLimit (void) const =0
| 線形運動の稼動範囲の最大値取得します More...
virtual void | SetLinearStiffness (const Mix::Vector3 &stiffness)=0
| 線形運動のバネの強さを設定します More...
virtual const Mix::Vector3 & | GetLinearStiffness (void) const =0
| 線形運動のバネの強さを取得します More...
virtual void | SetLinearDamping (const Mix::Vector3 &damping)=0
| 線形運動の減衰値を設定します More...
virtual const Mix::Vector3 & | GetLinearDamping (void) const =0
| 線形運動の減衰値を取得します More...
virtual const Mix::Vector3 & | GetLinearLimitSpring (void) const =0
| 線形運動の範囲を超えた際のスプリングのやわらかさを取得します More...
virtual void | SetLinearLimitSpring (const Mix::Vector3 &spring)=0
| 線形運動の範囲を超えた際のスプリングのやわらかさを設定します More...
virtual const Mix::Vector3 & | GetLinearLimitDamper (void) const =0
| 線形運動の範囲を超えた際のダンパーの減衰力取得します More...
virtual void | SetLinearLimitDamper (const Mix::Vector3 &damper)=0
| 線形運動の範囲を超えた際のダンパーの減衰力設定します More...
virtual void | SetAngularLimit (const Mix::Vector3 &lower, const Mix::Vector3 &upper)=0
| 回転の範囲を設定します More...
virtual const Mix::Vector3 & | GetAngularLowerLimit (void) const =0
| 回転の範囲の最小値を取得します More...
virtual const Mix::Vector3 & | GetAngularUpperLimit (void) const =0
| 回転の範囲の最大値を取得します More...
virtual void | SetAngularStiffness (const Mix::Vector3 &stiffness)=0
| 回転のバネの強さを設定します More...
virtual const Mix::Vector3 & | GetAngularStiffness (void) const =0
| 回転のスプリングの強さを取得します More...
virtual void | SetAngularDamping (const Mix::Vector3 &damping)=0
| 回転の減衰値を設定します More...
virtual const Mix::Vector3 & | GetAngularDamping (void) const =0
| 回転の減衰値を取得します More...
virtual const Mix::Vector3 & | GetAngularLimitSpring (void) const =0
| 回転の範囲を超えた際のスプリングのやわらかさを取得します More...
virtual void | SetAngularLimitSpring (const Mix::Vector3 &spring)=0
| 回転の範囲を超えた際のスプリングのやわらかさを取得します More...
virtual const Mix::Vector3 & | GetAngularLimitDamper (void) const =0
| 回転の範囲を超えた際のダンパーの減衰力を取得します More...
virtual void | SetAngularLimitDamper (const Mix::Vector3 &damper)=0
| 回転の範囲を超えた際のダンパーの減衰力を設定します More...
virtual void | UpdateEquilibriumPoint (void)=0
| 釣合い位置を更新します More...
Public Member Functions inherited from Mix::Dynamics::IJoint
virtual | ~IJoint (void)
| デストラクタ More...
virtual Mix::Dynamics::IJoint::TYPE | GetType (void) const =0
| 種類を取得します More...
virtual Boolean | IsInWorld (void) const =0
| ワールドに配置されているかどうかを確認します More...
virtual Boolean | IsEnabled (void) const =0
| 接続が有効かどうかを確認します More...
virtual void | SetEnabled (Boolean state)=0
| 接続を有効にするかどうかを設定します More...
virtual Float32 | GetBreakingImpulseThreshold (void) const =0
| 接続が解除される力を取得します More...
virtual void | SetBreakingImpulseThreshold (Float32 threshold)=0
| 接続を解除する力を設定します More...
virtual Boolean | IsSingle (void) const =0
| シングルかどうかを取得します More...
virtual void | GetRigidBodyA (Mix::Dynamics::IRigidBody **ppRigidBody)=0
| リジッドボディAを取得します More...
virtual void | GetRigidBodyB (Mix::Dynamics::IRigidBody **ppRigidBody)=0
| リジッドボディBを取得します More...
virtual const Mix::Vector3 & | GetPivotA (void) const =0
| リジッドボディＡのピボットを取得します More...
virtual void | SetPivotA (const Mix::Vector3 &pivot)=0
| リジッドボディＡのピボットを設定します More...
virtual const Mix::Vector3 & | GetPivotB (void) const =0
| リジッドボディＢのピボットを取得します More...
virtual void | SetPivotB (const Mix::Vector3 &pivot)=0
| リジッドボディＢのピボットを設定します More...
virtual UInt32 | Debug_GetDrawFlags (void) const =0
| デバッグ : 描画フラグを取得します More...
virtual void | Debug_SetDrawFlags (UInt32 flags)=0
| デバッグ : 描画フラグを設定します More...
virtual Float32 | Debug_GetDrawFrameMinSize (void) const =0
| デバッグ : フレームを描画する際の最小サイズを取得します More...
virtual void | Debug_SetDrawFrameMinSize (Float32 minSize)=0
| デバッグ : フレームを描画する際の最小サイズを設定します More...
virtual Float32 | Debug_GetDrawLimitScaling (void) const =0
| デバッグ : リミットを描画する際のを取得します More...
virtual void | Debug_SetDrawLimitScaling (Float32 scaling)=0
| デバッグ : リミットを描画する際のスケールを設定します More...
virtual void | Debug_Draw (Mix::Graphics::Utility::IPerspectiveRenderer *pPerspectiveRenderer, Float32 opacity=1.0f)=0
| デバッグ描画をします More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IDofJoint (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Additional Inherited Members

Public Types inherited from Mix::Dynamics::IJoint
enum | TYPE { POINT = 0, HINGE = 1, BALL = 2, SLIDER = 3, DOF = 4 }
| タイプ列挙定数 More...

## Detailed Description

DOFジョイントインターフェース

Note
  3次元版スライダージョイントです。
  バネの強さや減衰値を変更した場合は、「釣合い位置」を更新する必要があります。
  以下の関数を使用した場合は、必ず UpdateEquilibriumPoint を呼び出してください。
  SetLinearLimit
  SetAngularLimit
  SetLinearStiffness
  SetLinearDamping
  SetAngularStiffness
  SetAngularDamping

## Constructor & Destructor Documentation

virtual Mix::Dynamics::IDofJoint::~IDofJoint | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual const Mix::Quaternion& Mix::Dynamics::IDofJoint::GetRotationA | ( | void |  | ) | const

pure virtual

リジッドボディＡの回転を取得します

Returns
  回転を表す Mix::Quaternion クラスを返します

virtual void Mix::Dynamics::IDofJoint::SetRotationA | ( | const Mix::Quaternion & | rot | ) |

pure virtual

リジッドボディＡの回転を設定します

Parameters

  [in] | rot | 回転を表す Mix::Quaternion クラス

virtual const Mix::Quaternion& Mix::Dynamics::IDofJoint::GetRotationB | ( | void |  | ) | const

pure virtual

リジッドボディＢの回転を取得します

Returns
  回転を表す Mix::Quaternion クラスを返します

virtual void Mix::Dynamics::IDofJoint::SetRotationB | ( | const Mix::Quaternion & | rot | ) |

pure virtual

リジッドボディＢの回転を設定します

Parameters

  [in] | rot | 回転を表す Mix::Quaternion クラス

virtual void Mix::Dynamics::IDofJoint::SetLinearLimit | ( | const Mix::Vector3 & | lower,
|  | const Mix::Vector3 & | upper
| ) |  |

pure virtual

線形運動の稼動範囲を設定します

Parameters

  [in] | lower | 線形運動の稼動範囲の最小値を表す Mix::Vector3 クラス
  [in] | upper | 線形運動の稼動範囲の最大値を表す Mix::Vector3 クラス

virtual const Mix::Vector3& Mix::Dynamics::IDofJoint::GetLinearLowerLimit | ( | void |  | ) | const

pure virtual

線形運動の稼動範囲の最小値を取得します

Returns
  線形運動の稼動範囲の最小値を表す Mix::Vector3 クラスを返します

virtual const Mix::Vector3& Mix::Dynamics::IDofJoint::GetLinearUpperLimit | ( | void |  | ) | const

pure virtual

線形運動の稼動範囲の最大値取得します

Returns
  線形運動の稼動範囲の最大値を表す Mix::Vector3 クラスを返します

virtual void Mix::Dynamics::IDofJoint::SetLinearStiffness | ( | const Mix::Vector3 & | stiffness | ) |

pure virtual

線形運動のバネの強さを設定します

Parameters

  [in] | stiffness | 線形運動のバネの強さを表す Mix::Vector3 クラス

Note
  バネの強さに 0.0f を設定するとバネの効果を無効にすることができます

virtual const Mix::Vector3& Mix::Dynamics::IDofJoint::GetLinearStiffness | ( | void |  | ) | const

pure virtual

線形運動のバネの強さを取得します

Returns
  線形運動のバネの強さを表す Mix::Vector3 クラス

virtual void Mix::Dynamics::IDofJoint::SetLinearDamping | ( | const Mix::Vector3 & | damping | ) |

pure virtual

線形運動の減衰値を設定します

Parameters

  [in] | damping | 線形運動の減衰値を表す Mix::Vector3 クラス

virtual const Mix::Vector3& Mix::Dynamics::IDofJoint::GetLinearDamping | ( | void |  | ) | const

pure virtual

線形運動の減衰値を取得します

Returns
  線形運動の減衰値を表す Mix::Vector3 クラス

virtual const Mix::Vector3& Mix::Dynamics::IDofJoint::GetLinearLimitSpring | ( | void |  | ) | const

pure virtual

線形運動の範囲を超えた際のスプリングのやわらかさを取得します

Returns
  スプリングのやわらかさを返します

virtual void Mix::Dynamics::IDofJoint::SetLinearLimitSpring | ( | const Mix::Vector3 & | spring | ) |

pure virtual

線形運動の範囲を超えた際のスプリングのやわらかさを設定します

Parameters

  [in] | spring | スプリングのやわらかさ( 0.0f〜1.0f )

virtual const Mix::Vector3& Mix::Dynamics::IDofJoint::GetLinearLimitDamper | ( | void |  | ) | const

pure virtual

線形運動の範囲を超えた際のダンパーの減衰力取得します

Returns
  ダンパーの減衰力を返します

virtual void Mix::Dynamics::IDofJoint::SetLinearLimitDamper | ( | const Mix::Vector3 & | damper | ) |

pure virtual

線形運動の範囲を超えた際のダンパーの減衰力設定します

Parameters

  [in] | damper | ダンパーの減衰力( 0.2f〜0.8f )

virtual void Mix::Dynamics::IDofJoint::SetAngularLimit | ( | const Mix::Vector3 & | lower,
|  | const Mix::Vector3 & | upper
| ) |  |

pure virtual

回転の範囲を設定します

Parameters

  [in] | lower | 回転の範囲の最小値を表す Mix::Vector3 クラス
  [in] | upper | 回転の範囲の最大値を表す Mix::Vector3 クラス

virtual const Mix::Vector3& Mix::Dynamics::IDofJoint::GetAngularLowerLimit | ( | void |  | ) | const

pure virtual

回転の範囲の最小値を取得します

Returns
  回転の範囲の最小値を表す Mix::Vector3 クラスを返します

virtual const Mix::Vector3& Mix::Dynamics::IDofJoint::GetAngularUpperLimit | ( | void |  | ) | const

pure virtual

回転の範囲の最大値を取得します

Returns
  回転の範囲の最大値を表す Mix::Vector3 クラスを返します

virtual void Mix::Dynamics::IDofJoint::SetAngularStiffness | ( | const Mix::Vector3 & | stiffness | ) |

pure virtual

回転のバネの強さを設定します

Parameters

  [in] | stiffness | 角運動のバネの強さを表す Mix::Vector3 クラス

Note
  バネの強さに 0.0f を設定するとバネの効果を無効にすることができます

virtual const Mix::Vector3& Mix::Dynamics::IDofJoint::GetAngularStiffness | ( | void |  | ) | const

pure virtual

回転のスプリングの強さを取得します

Returns
  回転のスプリングの強さを表す Mix::Vector3 クラス

virtual void Mix::Dynamics::IDofJoint::SetAngularDamping | ( | const Mix::Vector3 & | damping | ) |

pure virtual

回転の減衰値を設定します

Parameters

  [in] | damping | 角運動の減衰値を表す Mix::Vector3 クラス

virtual const Mix::Vector3& Mix::Dynamics::IDofJoint::GetAngularDamping | ( | void |  | ) | const

pure virtual

回転の減衰値を取得します

Returns
  回転の減衰値を表す Mix::Vector3 クラス

virtual const Mix::Vector3& Mix::Dynamics::IDofJoint::GetAngularLimitSpring | ( | void |  | ) | const

pure virtual

回転の範囲を超えた際のスプリングのやわらかさを取得します

Returns
  スプリングのやわらかさを返します

virtual void Mix::Dynamics::IDofJoint::SetAngularLimitSpring | ( | const Mix::Vector3 & | spring | ) |

pure virtual

回転の範囲を超えた際のスプリングのやわらかさを取得します

Parameters

  [in] | spring | スプリングのやわらかさ( 0.0f〜1.0f )

virtual const Mix::Vector3& Mix::Dynamics::IDofJoint::GetAngularLimitDamper | ( | void |  | ) | const

pure virtual

回転の範囲を超えた際のダンパーの減衰力を取得します

Returns
  ダンパーの減衰力を返します

virtual void Mix::Dynamics::IDofJoint::SetAngularLimitDamper | ( | const Mix::Vector3 & | damper | ) |

pure virtual

回転の範囲を超えた際のダンパーの減衰力を設定します

Parameters

  [in] | damper | ダンパーの減衰力( 0.2f〜0.8f )

virtual void Mix::Dynamics::IDofJoint::UpdateEquilibriumPoint | ( | void |  | ) |

pure virtual

釣合い位置を更新します

The documentation for this class was generated from the following file:

- Mix/Dynamics/IDofJoint.h